Configure WhatsApp privacy settings for your instance.
curl --request POST \
--url https://api.example.com/chat/updatePrivacySettings/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"readreceipts": "none",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}'
{
"success": true,
"settings": {
"readreceipts": "all",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/EvolutionAPI/evolution-api/llms.txt
Use this file to discover all available pages before exploring further.
apikey header.
all: Send read receipts to everyonenone: Don’t send read receipts (note: you also won’t see others’ read receipts)all: Everyonecontacts: Only your contactscontact_blacklist: All except specific contactsnone: Nobodyall: Everyonecontacts: Only your contactscontact_blacklist: All except specific contactsnone: Nobodyall: Everyonematch_last_seen: Same as your “Last Seen” settingall: Everyonecontacts: Only your contactscontact_blacklist: All except specific contactsnone: Nobodyall: Everyone can add youcontacts: Only your contacts can add youcontact_blacklist: All except specific contacts can add youcurl --request POST \
--url https://api.example.com/chat/updatePrivacySettings/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"readreceipts": "none",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}'
{
"success": true,
"settings": {
"readreceipts": "all",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}
}
none), you also won’t be able to see when others read your messages. This is a WhatsApp limitation.match_last_seen option for online status means it follows the same privacy setting as your “Last Seen” timestamp.groupadd to all to allow anyone to add your bot to groups.GET /chat/fetchPrivacySettings/:instanceName
curl --request GET \
--url https://api.example.com/chat/fetchPrivacySettings/my-instance \
--header 'apikey: YOUR_API_KEY'
all or contacts) generally provide a better user experience.curl --request POST \
--url https://api.example.com/chat/updatePrivacySettings/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"readreceipts": "none",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}'
{
"success": true,
"settings": {
"readreceipts": "all",
"profile": "contacts",
"status": "contacts",
"online": "match_last_seen",
"last": "contacts",
"groupadd": "contacts"
}
}